summaryrefslogtreecommitdiff
path: root/tests/cp/fiemap-perf
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-01-31 13:35:55 +0100
committerJim Meyering <meyering@redhat.com>2011-01-31 13:35:55 +0100
commit040b00ef19fb1bbc0f7d3e5bec6ff82e19a92d26 (patch)
tree1b74af0fb8cb199c5aa8c351fdf020da04d11bb4 /tests/cp/fiemap-perf
parent5b11cd01790473b1964a0f91eca5205dfdcae773 (diff)
downloadcoreutils-040b00ef19fb1bbc0f7d3e5bec6ff82e19a92d26.tar.xz
tests: remove duplicate fiemap-perf test
* tests/cp/fiemap-perf: Copy block-comparing code from sparse-fiemap. * tests/cp/sparse-fiemap: The same test was here, alongside a much more involved test. Remove it, now that it is in its own file.
Diffstat (limited to 'tests/cp/fiemap-perf')
-rwxr-xr-xtests/cp/fiemap-perf4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/cp/fiemap-perf b/tests/cp/fiemap-perf
index 6c588cbc5..bd8fab8d4 100755
--- a/tests/cp/fiemap-perf
+++ b/tests/cp/fiemap-perf
@@ -29,4 +29,8 @@ timeout 10 truncate -s1T f || framework_failure_
# Nothing can read (much less write) that many bytes in so little time.
timeout 10 cp f f2 || fail=1
+# Ensure that the sparse file copied through fiemap has the same size
+# in bytes as the original.
+test $(stat --printf %s sparse) = $(stat --printf %s fiemap) || fail=1
+
Exit $fail